@import '../../../../assets/sass/scss/variables';

.pace .pace-activity {
    top: 19px;
    right: 19px;
    display: none;
}

.lds-ripple {
    display: inline-block;
    position: relative;
    width: 64px;
    height: 64px;
}

.lds-ripple div {
    position: absolute;
    border: 4px solid $primary;
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

.lds-ripple div:nth-child(2) {
    animation-delay: -0.5s;
}

@keyframes lds-ripple {
    0% {
        top: 28px;
        left: 28px;
        width: 0;
        height: 0;
        opacity: 1;
    }
    100% {
        top: -1px;
        left: -1px;
        width: 58px;
        height: 58px;
        opacity: 0;
    }
}

@keyframes loading {
    0% {
        max-width: 0;
    }
}

.page-loading {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    overflow: hidden;
    background: rgba(250, 250, 250, 0.85);
    opacity: 0;
    transition: opacity 1s ease-in-out;
    z-index: -1;
}

.loading-icon {
    position: absolute;
    left: 50%;
    top: 25%;
    margin-left: -19px;
    margin-top: -19px;
}

.page-loading {
    opacity: 1;
    z-index: 9999;
    height: 200vh;
}

@keyframes bounce {
    from {
        opacity: 1;
        transform: translateY(0);
    }

    to {
        opacity: 0.1;
        transform: translateY(-20px);
    }
}
